org.postgresql.ds

## Class PGSimpleDataSource

- java.lang.Object
- - org.postgresql.ds.common.BaseDataSource
  - - org.postgresql.ds.jdbc23.AbstractJdbc23SimpleDataSource
    - - org.postgresql.ds.jdbc4.AbstractJdbc4SimpleDataSource
      - - org.postgresql.ds.PGSimpleDataSource

All Implemented Interfaces:
  java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.DataSource

    public class PGSimpleDataSource
    extends org.postgresql.ds.jdbc4.AbstractJdbc4SimpleDataSource
    implements javax.sql.DataSource

Simple DataSource which does not perform connection pooling. In order to use the DataSource, you must set the property databaseName. The settings for serverName, portNumber, user, and password are optional. Note: these properties are declared in the superclass.

Author:
  Aaron Mulder (ammulder@chariotsolutions.com)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PGSimpleDataSource()`

### Method Summary

### Methods inherited from class org.postgresql.ds.jdbc4.AbstractJdbc4SimpleDataSource

`getParentLogger, isWrapperFor, unwrap`

### Methods inherited from class org.postgresql.ds.jdbc23.AbstractJdbc23SimpleDataSource

`getDescription`

### Methods inherited from class org.postgresql.ds.common.BaseDataSource

`createReference, getApplicationName, getBinaryTransfer, getBinaryTransferDisable, getBinaryTransferEnable, getCompatible, getConnection, getConnection, getDatabaseName, getLoginTimeout, getLogLevel, getLogWriter, getPassword, getPortNumber, getPrepareThreshold, getProtocol, getProtocolVersion, getReceiveBufferSize, getReference, getSendBufferSize, getServerName, getSocketTimeout, getSsl, getSslfactory, getStringType, getTcpKeepAlive, getUnknownLength, getUrl, getUser, initializeFrom, readBaseObject, setApplicationName, setBinaryTransfer, setBinaryTransferDisable, setBinaryTransferEnable, setCompatible, setDatabaseName, setLoginTimeout, setLogLevel, setLogWriter, setPassword, setPortNumber, setPrepareThreshold, setProtocol, setProtocolVersion, setReceiveBufferSize, setSendBufferSize, setServerName, setSocketTimeout, setSsl, setSslfactory, setStringType, setTcpKeepAlive, setUnknownLength, setUrl, setUser, writeBaseObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.DataSource

`getConnection, getConnection`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### PGSimpleDataSource

    public PGSimpleDataSource()